package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_H18_ROLE = "user_h18_role"
	H18_UID       = "h18_uid"
	H18_NAME      = "h18_name"
	H18_TYPE      = "h18_type"
	H0_UID       = "_uid"
)

type UserH18 struct {
	db.ModelUserPlace
	H18UID string `gorm:"type:char(32);index"`
}
type H18 struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type H0 struct {
	db.ModelContent
	H18UID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &UserH18{}, &H18{}, &H0{}) }